#ifndef MIRROREDIMAGEFILTER_H
#define MIRROREDIMAGEFILTER_H

#include <imagefilter.h>

#include <memory>

class MirroredImageFilter : public ImageFilter {
public:
    explicit MirroredImageFilter( const std::shared_ptr< ImageFilter >& filter = nullptr );

    QPixmap apply( const QPixmap& pix );

private:
    std::shared_ptr< ImageFilter > m_filter;
};

#endif // MIRROREDIMAGEFILTER_H
