#ifndef ROTATEDIMAGEFILTER_H
#define ROTATEDIMAGEFILTER_H

#include "imagefilter.h"

#include <memory>

class RotatedImageFilter : public ImageFilter {
public:
    RotatedImageFilter( double angle = 90.0, const std::shared_ptr< ImageFilter >& filter = nullptr );

    QPixmap apply( const QPixmap& pix );

private:
    double m_angle;
    std::shared_ptr< ImageFilter > m_filter;
};

#endif // ROTATEDIMAGEFILTER_H
